2019, Installing TensorFlow, Keras, & Python 3.7 in Windows




[ad_1]

This video was updated for TensorFlow 2.x. https://www.youtube.com/watch?v=PnK1jO2kXOQ

Updated for 2019! This video walks you through a complete Python 3.7 and TensorFlow install. You will be shown the difference between Anaconda and Miniconda, and how to create a 3.6 environment inside of Anaconda for TensorFlow. Also discusses some of the ramifications coming with TensorFlow 2.0.

You can find the instructions here (from the video): https://github.com/jeffheaton/t81_558_deep_learning/blob/master/manual_setup.ipynb

Please subscribe and comment!

Follow me:

YouTube: https://www.youtube.com/user/HeatonRe
Twitter: https://twitter.com/jeffheaton
GitHub: https://github.com/jeffheaton

Source


[ad_2]

Comment List

  • Jeff Heaton
    December 21, 2020

    I updated this video for TensorFlow 2.x (CPU & GPU): https://www.youtube.com/watch?v=PnK1jO2kXOQ

  • Jeff Heaton
    December 21, 2020

    I've been searching for a long time for videos like this one, all of the words that exist in this world are not enough to thank you, simply you are the best

  • Jeff Heaton
    December 21, 2020

    jupyter notebook doesnt work it just opens the browser but nothing happens to occur after that no matter how many times i cllick and it always happens when i make a new environment

  • Jeff Heaton
    December 21, 2020

    hello sir, i'm working on this project and i really need tensorflow 2.2 for my python 3.7 , unfortunately i have coppied everything in this video and it still hasn't worked!!! i need help

  • Jeff Heaton
    December 21, 2020

    (base) C:UsersRavi>conda create -y –name tensorflow python=3.6

    Collecting package metadata (current_repodata.json): failed

    CondaHTTPError: HTTP 000 CONNECTION FAILED for url <https://repo.anaconda.com/pkgs/main/win-64/current_repodata.json&gt;

    Elapsed: –

    An HTTP error occurred when trying to retrieve this URL.

    HTTP errors are often intermittent, and a simple retry will get you on your way.

    If your current network has https://www.anaconda.com blocked, please file

    a support request with your network engineering team.

    'https://repo.anaconda.com/pkgs/main/win-64&#39;

    getting error showing above kindly help me

  • Jeff Heaton
    December 21, 2020

    Comment installer facilement tensorflow CPU & GPU sur Windows 10
    https://youtu.be/bunfmdA88hw

  • Jeff Heaton
    December 21, 2020

    Sir, I am facing the error you talked about during tensorflow installation, what should be done?

  • Jeff Heaton
    December 21, 2020

    Sir, is it necessary to make a new env to install the tensorflow and work on tensorflow/OR/ is it possible to work on tensorflow in base env?

  • Jeff Heaton
    December 21, 2020

    dear jeff Heaton my question is tensorflow 2.1.0 with python 3.7.6 .i got DLL error (ImportError: DLL load failed: The specified module could not be found.)

  • Jeff Heaton
    December 21, 2020

    when I import TensorFlow I get this message "expected bytes, Descriptor found". I am really going mad. I can't solve this error

  • Jeff Heaton
    December 21, 2020

    After struggling trying other methods from internet , your methods work like a magic !

  • Jeff Heaton
    December 21, 2020

    hie Jeff, Thank you for the tutorial. can we have the same in linux centos?

  • Jeff Heaton
    December 21, 2020

    A suggestion. Sometimes it is not clear what you are putting in at the terminal window. Go just a bit slower at that point.

  • Jeff Heaton
    December 21, 2020

    How to install TFlearn in conda.

  • Jeff Heaton
    December 21, 2020

    hai kawan

  • Jeff Heaton
    December 21, 2020

    Thank you so much for your help.🙏👍 Obliged to you

  • Jeff Heaton
    December 21, 2020

    Hi Jeff , I can't install minoconda on windows 7.Specifically, It fails to create menus. Do you have any recommendation?

  • Jeff Heaton
    December 21, 2020

    This video has been updated for TensorFlow 2.0. https://www.youtube.com/watch?v=RgO8BBNGB8w

  • Jeff Heaton
    December 21, 2020

    Do you have to install Python 3.7 in the Python official site then install the Miniconda one?

  • Jeff Heaton
    December 21, 2020

    I got error module not found while importing keras in jupyter notebook

  • Jeff Heaton
    December 21, 2020

    THANNNNNNNNNNNNNNNNNNNNNNNNNX <3 <3 <3 u are the best bro thank you again <3 <3 <3 <3 <3 <3 <3

  • Jeff Heaton
    December 21, 2020

    Your video helped me to figure out the installation problem of Tensorflow with Python 3.7 after trying a few days. Thanks a lot respected professor.

  • Jeff Heaton
    December 21, 2020

    Hello, can you help me? please, I am facing python TensorFlow mismatch error while I am trying to install TensorFlow I actually changed the python environment into 3.6 and followed each of the mentioned steps

  • Jeff Heaton
    December 21, 2020

    I really thank you Dr.Jeff Heaton for your effort, your time, and the detailed explanation of installation.
    Also may I know, why installing "psutil" will be failed with Anaconda3 ?

    Thanks.

  • Jeff Heaton
    December 21, 2020

    Found this video AFTER just watching the original version. Going back and pip installing all the needed upgrades is tedious and confusing at times. 🙁

  • Jeff Heaton
    December 21, 2020

    Sir lock what I get as result
    ERROR: Could not find a version that satisfies the requirement tensorflow==1.12.

    0 (from versions: none)

    ERROR: No matching distribution found for tensorflow==1.12.0

  • Jeff Heaton
    December 21, 2020

    thanks very helpful tuto

  • Jeff Heaton
    December 21, 2020

    How do I install the same for Spyder?? Please help

  • Jeff Heaton
    December 21, 2020

    I've got Python 3.7.5 and i want to use tensorflow but I've got this: "ModuleNotFoundError: No module named 'tensorflow.python.platform". How to solve this?

  • Jeff Heaton
    December 21, 2020

    Now that I have installed it. where should I run and edit the python script?
    on jupyter in a browser? tried it, but I didn't see any run command there. Thanks!
    hope you could help me out.

  • Jeff Heaton
    December 21, 2020

    Awesome Jeff Heaton

  • Jeff Heaton
    December 21, 2020

    Thank you very much sir for providing such a detailed step by step tutorial for installation,very precise and up to date video.

  • Jeff Heaton
    December 21, 2020

    Hi Jeff…..
    Firstly, I want to thank you for the great stuff that you've provided on youtube…

    Could you please make a video on building tensorflow from the source optimized for AVX AVX2 instructions…

    I'm getting an error saying "your cpu uses instructions that this tensorflow binary is not compiled to use: AVX AVX2" and I am unable to resolve it just by going through stackoverflow…!

    Currently I am using anaconda 3.7 on Windows OS, CPU.

    Could you please provide some solution to this. It'll be a great help for me….

    Thankyou.

  • Jeff Heaton
    December 21, 2020

    Hai Jeff, when I import tensorflow as tf. This is what happened. What should I do?

    >>> import tensorflow as tf

    C:UsersuserAnaconda3envstensorflow2libsite-packagestensorflowpythonframeworkdtypes.py:523: FutureWarning: Passing (type, 1) or '1type' as a synonym of type is deprecated; in a future version of numpy, it will be understood as (type, (1,)) / '(1,)type'.

    _np_qint8 = np.dtype([("qint8", np.int8, 1)])

    C:UsersuserAnaconda3envstensorflow2libsite-packagestensorflowpythonframeworkdtypes.py:524: FutureWarning: Passing (type, 1) or '1type' as a synonym of type is deprecated; in a future version of numpy, it will be understood as (type, (1,)) / '(1,)type'.

    _np_quint8 = np.dtype([("quint8", np.uint8, 1)])

    C:UsersuserAnaconda3envstensorflow2libsite-packagestensorflowpythonframeworkdtypes.py:525: FutureWarning: Passing (type, 1) or '1type' as a synonym of type is deprecated; in a future version of numpy, it will be understood as (type, (1,)) / '(1,)type'.

    _np_qint16 = np.dtype([("qint16", np.int16, 1)])

    C:UsersuserAnaconda3envstensorflow2libsite-packagestensorflowpythonframeworkdtypes.py:526: FutureWarning: Passing (type, 1) or '1type' as a synonym of type is deprecated; in a future version of numpy, it will be understood as (type, (1,)) / '(1,)type'.

    _np_quint16 = np.dtype([("quint16", np.uint16, 1)])

    C:UsersuserAnaconda3envstensorflow2libsite-packagestensorflowpythonframeworkdtypes.py:527: FutureWarning: Passing (type, 1) or '1type' as a synonym of type is deprecated; in a future version of numpy, it will be understood as (type, (1,)) / '(1,)type'.

    _np_qint32 = np.dtype([("qint32", np.int32, 1)])

    C:UsersuserAnaconda3envstensorflow2libsite-packagestensorflowpythonframeworkdtypes.py:532: FutureWarning: Passing (type, 1) or '1type' as a synonym of type is deprecated; in a future version of numpy, it will be understood as (type, (1,)) / '(1,)type'.

    np_resource = np.dtype([("resource", np.ubyte, 1)])

  • Jeff Heaton
    December 21, 2020

    Does anyone know how to solve this error: module 'tensorflow' has no attribute 'InteractiveSession'. I will really appreciate it.

  • Jeff Heaton
    December 21, 2020

    Hello!
    Firstly THANK YOU! That course is pure gold:)

    Secondly, I have a problem with the installation. in the 20:17 minutes it gives me the error :
    ModuleNotFoundError: No module named 'tensorflow.core'
    I search through the internet but it didn't help.
    I installed it once again and the error is still there.
    Does anyone have the same?

    Kind regards:)

  • Jeff Heaton
    December 21, 2020

    Do I need to deactivate it after using or just leave it activated forever?

  • Jeff Heaton
    December 21, 2020

    Just want to share with the community a problem that I ran into(and it's solution). In the last step to create a kernel for the tensorflow environment, i got an error saying "no module named ipykernel". If you get this too, it just means that the ipykernel package is not installed in the newly created tensorflow environment. The simple solution to this problem is just to run the command: conda install ipykernel , and then run the command given in jeff's notes again.

  • Jeff Heaton
    December 21, 2020

    not all heroes wear capes.

Write a comment